package net.t2code.automatedMessages.command;

import net.t2code.automatedMessages.Util;
import net.t2code.automatedMessages.config.Config;
import net.t2code.automatedMessages.config.FileBuild;
import net.t2code.automatedMessages.messages.Management;
import net.t2code.automatedMessages.system.Main;
import net.t2code.t2codelib.SPIGOT.api.messages.T2Csend;
import net.t2code.t2codelib.SPIGOT.api.messages.T2Ctemplate;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

public class Commands {
    public static void reload(CommandSender sender)  {
        if (!sender.hasPermission("t2c.automatedmessages.admin")) {
            sender.sendMessage(Util.getPrefix() + "§cYou do not have permission for OPSecurity! §7<t2c.automatedmessages.admin>");
            return;
        }
        T2Csend.console(Config.msgReloadStart.valueString);
        if (sender instanceof Player) T2Csend.sender(sender, Config.msgReloadStart.valueString);
        Management.end();

            FileBuild.selectConfig();

        Management.start();
        if (sender instanceof Player) T2Csend.sender(sender, Config.msgReloadEnd.valueString);
        T2Csend.console(Config.msgReloadEnd.valueString);
    }

    public static void info(CommandSender sender) {
        if (!sender.hasPermission("t2c.automatedmessages.admin")) {
            sender.sendMessage(Util.getPrefix() + "§cYou do not have permission for OPSecurity! §7<t2c.automatedmessages.admin>");
            return;
        }
        T2Ctemplate.sendInfo(sender, Main.getPlugin(), Util.getSpigotID(), Util.getDiscord(), Util.getInfoText());
    }
}
