package net.t2code.automatedMessages.objects;

import org.bukkit.Sound;

import javax.sound.midi.Soundbank;
import java.util.List;

public class Message {

    public String key;
    public Boolean enable;
    public String message;

    public Boolean soundEnable;
    public Sound sound;
    public Boolean permissionNeededToSeeMessage;
    public String permission;
    public Integer interval;
    public Boolean exactTime;
    public String timeMinute;
    public String timeHour;
    public String timeDayOfMonth;
    public String timeMonth;
    public String timeDayOfWeek;

    public Message(String key,
                   Boolean enable,
                   String message,
                   Boolean soundEnable,
                   Sound sound,
                   Boolean permissionNeededToSeeMessage,
                   String permission,

                   Integer interval,

                   Boolean exactTime,
                   String timeMinute,
                   String timeHour,
                   String timeDayOfMonth,
                   String timeMonth,
                   String timeDayOfWeek) {
        this.key = key;
        this.enable = enable;
        this.message = message;
        this.soundEnable = soundEnable;
        this.sound = sound;
        this.permissionNeededToSeeMessage = permissionNeededToSeeMessage;
        this.permission = permission;
        this.interval = interval;
        this.exactTime = exactTime;
        this.timeMinute = timeMinute;
        this.timeHour = timeHour;
        this.timeDayOfMonth = timeDayOfMonth;
        this.timeMonth = timeMonth;
        this.timeDayOfWeek = timeDayOfWeek;

    }
}
