package net.t2code.automatedMessages.messages;

import net.t2code.automatedMessages.config.Config;
import net.t2code.automatedMessages.objects.Message;
import net.t2code.t2codelib.SPIGOT.api.messages.T2Csend;
import org.bukkit.Bukkit;
import org.bukkit.entity.Player;

import java.text.SimpleDateFormat;
import java.util.Calendar;

public class SendMessage {
    public static void send(Message message) {
        String timeStamp = new SimpleDateFormat(Config.timeFormat.valueString).format(Calendar.getInstance().getTime());
        if (Config.sendConsole.valueBoolean) T2Csend.console(message.message.replace("[time]", timeStamp).replace("[prefix]",Config.prefix.valueString));
        for (Player player : Bukkit.getOnlinePlayers()) {
            if (player.hasPermission(message.permission) || !message.permissionNeededToSeeMessage){
                T2Csend.player(player, message.message.replace("[time]", timeStamp).replace("[prefix]",Config.prefix.valueString));
                player.playSound(player.getLocation(), message.sound, 3, 1);
            }
        }
    }
}
