package net.t2code.automatedMessages.system;

import net.t2code.automatedMessages.Util;
import net.t2code.automatedMessages.command.CmdExecuter;
import net.t2code.automatedMessages.config.Config;
import net.t2code.automatedMessages.config.FileBuild;
import net.t2code.automatedMessages.messages.Management;
import net.t2code.t2codelib.SPIGOT.api.messages.T2Ctemplate;
import net.t2code.t2codelib.SPIGOT.api.update.T2CupdateAPI;

import java.util.List;

public class Load {
    public static void onLoad(Main plugin, List<String> autor, String version) {
        long long_ = T2Ctemplate.onLoadHeader(Util.getPrefix(), autor, version, Util.getSpigot(), Util.getDiscord());
        plugin.getCommand("t2c-automatedmessages").setExecutor(new CmdExecuter());

        FileBuild.selectConfig();

        Management.start();

      // todo  T2CupdateAPI.onUpdateCheck(plugin, Util.getPrefix(),Util.getGit(),Util.getSpigotID(),Util.getDiscord(), Config.updateCheckOnJoin.valueBoolean,
      //          Config.updateCheckSeePreReleaseUpdates.valueBoolean, Config.updateCheckTimeInterval.valueInteger);
        Metrics.Bstats(plugin, Util.getBstatsID());
        T2Ctemplate.onLoadFooter(Util.getPrefix(), long_);

    }
}
